From dd10c192bac52d81c534e6dd1b55af856e1536bb Mon Sep 17 00:00:00 2001
From: Andrew Esh <andrew.esh@qterics.com>
Date: Wed, 11 Oct 2017 13:52:26 -0500
Subject: [PATCH 23/25] _common_ Add fPIC for Raspberry Pi target

---
 recipes/harfbuzz.recipe | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/recipes/harfbuzz.recipe b/recipes/harfbuzz.recipe
index 8c1fe6f..59f5178 100644
--- a/recipes/harfbuzz.recipe
+++ b/recipes/harfbuzz.recipe
@@ -13,3 +13,9 @@ class Recipe(recipe.Recipe):
     files_bins = ['hb-ot-shape-closure', 'hb-view', 'hb-shape']
     files_libs = ['libharfbuzz']
     files_devel = ['include/harfbuzz/*.h', 'lib/pkgconfig/harfbuzz.pc']
+
+    def prepare(self):
+        if self.config.target_platform == Platform.LINUX:
+            if self.config.target_arch == Architecture.ARMHF:
+                self.append_env ['CFLAGS'] = "%s %s" % (self.append_env.get('CFLAGS',
+                                                                            ''), '-fPIC -DPIC')
-- 
2.15.0

